/*
 * main.cpp
 *
 * Created on 2nd November 2013
 *          Author Paula Severi
 */


#include <iostream>

#include "Sparse.hpp"

using std::cout;
using std::endl;

const int HEIGHT=2;
const int WIDTH=4;


int main() {

  // int a [2][4] = {{0,1,2,3},{4,5,6,7}}; this does not work
  int  **My2DArray;
  
  // Allocate memory
  My2DArray = new int*[WIDTH];
  for (int i = 0; i < WIDTH; ++i) {
    My2DArray[i] = new int[HEIGHT];
  }
  
  // Assign values
  My2DArray[0][0] = 0;
  My2DArray[1][0] = 1;
  My2DArray[2][0] = 2;
  My2DArray[3][0] = 3;
  My2DArray[0][1] = 4;
  My2DArray[1][1] = 5;
  My2DArray[2][1] = 6;
  My2DArray[3][1] = 7;
  
  
  // Create object Sparse from My2DArray
  Sparse MySparseObject(4,2,My2DArray);
  
  // print m using the overloaded method <<
  cout << MySparseObject <<endl;
  
  // De-Allocate memory to prevent memory leak
  for (int i = 0; i < WIDTH; ++i) {
    delete [] My2DArray[i];
  }
  delete [] My2DArray;  
}
